
def temp-table itemloc
      field loc as character
      field item as character 
      field site as character 
      field facility-code as character   
      field rank as integer
      field qty-on-hand as decimal
      field mrb-flag as logical
      field turn-num as character
      field po-num as integer 
      field po-line as integer
      field ser-num as character
      index idx is UNIQUE PRIMARY item ascending site ascending facility-code ascending rank ascending.

def temp-table turnarnd
      field lot as character
      field po-num as integer 
      field po-line as integer
      field ser-num as character
      field turn-num as character
      field item as character
      field site as character. 

create itemloc.
assign 
      itemloc.loc = "STOCK"
      itemloc.item = "0A0004125"
      itemloc.site = "GSP"
      itemloc.facility-code = "H3"
      itemloc.rank = 1
      itemloc.qty-on-hand = 0
      itemloc.turn-num = ""
      itemloc.mrb-flag = no
      itemloc.po-num = 0
      itemloc.po-line = 0.

create itemloc.
assign 
      itemloc.loc = "FED-MOR"
      itemloc.item = "0A0004125"
      itemloc.site = "GSP"
      itemloc.facility-code = "H3"
      itemloc.rank = 2
      itemloc.qty-on-hand = 0
      itemloc.turn-num = ""
      itemloc.po-num = 0
      itemloc.po-line = 0
      itemloc.mrb-flag = yes.

create turnarnd.
assign
      turnarnd.lot = ""
      turnarnd.po-num = 0
      turnarnd.po-line = 0
      turnarnd.ser-num = ""
      turnarnd.turn-num = ""
      turnarnd.item = "".

create turnarnd.
assign
      turnarnd.lot = ""
      turnarnd.po-num = 604324
      turnarnd.po-line = 1
      turnarnd.ser-num = ""
      turnarnd.turn-num = "0001DHCP"
      turnarnd.item = "".

def query  q-itemloc for itemloc, turnarnd.

def browse b-itemloc query q-itemloc no-lock no-wait
    display itemloc.loc      format "x(15)" 
            turnarnd.lot     format "x(15)"
            turnarnd.po-num  format ">>>>>9"
            turnarnd.po-line format ">>9"
            turnarnd.ser-num format "x(15)"
            itemloc.qty-on-hand format "zzzzz9.999"
            itemloc.mrb-flag format " Y/ N"
            with 4 down no-label no-box. 


def frame f-loc
    b-itemloc
  with no-labels row 11 width 80
    title color normal " Location       Lot               PO  " +
                       " Ln Serial#            On Hand MRB".

procedure header-display:

  open query q-itemloc
    for each itemloc no-lock
        where itemloc.site = "GSP"
          and itemloc.facility-code = "H3"
          and itemloc.item = "0A0004125",
      each turnarnd no-lock
           where turnarnd.turn-num = itemloc.turn-num.

end procedure.


run header-display.

repeat:
   on a,A anywhere do:

   find itemloc where itemloc.loc  = "STOCK" exclusive-lock. 
   delete itemloc.
        
   apply "value-changed" to browse b-itemloc.
   run header-display.
  end.
  
  enable all with frame f-loc.
  wait-for window-close of current-window
           focus b-itemloc in frame f-loc.
end. 


